qpid::console::SchemaClass Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes
qpid::console::SchemaClass Struct Reference

`#include <qpid/console/Schema.h>`

List of all members.

## Public Member Functions
| SchemaClass (const uint8_t kind, const ClassKey &key, framing::Buffer &buffer)
| ~SchemaClass ()
const ClassKey & | getClassKey () const
## Public Attributes
const uint8_t | kind
const ClassKey | key
std::vector< SchemaProperty * > | properties
std::vector< SchemaStatistic * > | statistics
std::vector< SchemaMethod * > | methods
std::vector< SchemaArgument * > | arguments
## Static Public Attributes
static const uint8_t | KIND_TABLE = 1
static const uint8_t | KIND_EVENT = 2

## Constructor & Destructor Documentation

qpid::console::SchemaClass::SchemaClass | ( | const uint8_t | kind,
|  | const ClassKey & | key,
|  | framing::Buffer & | buffer
| ) |  |

qpid::console::SchemaClass::~SchemaClass | ( |  | ) |

## Member Function Documentation

const ClassKey& qpid::console::SchemaClass::getClassKey | ( |  | ) | const`[inline]`

Definition at line 92 of file Schema.h.

References key.

## Member Data Documentation

std::vector<SchemaArgument*> qpid::console::SchemaClass::arguments

Definition at line 99 of file Schema.h.

const ClassKey qpid::console::SchemaClass::key

Definition at line 95 of file Schema.h.

Referenced by getClassKey().

const uint8_t qpid::console::SchemaClass::kind

Definition at line 94 of file Schema.h.

const uint8_t qpid::console::SchemaClass::KIND_EVENT = 2`[static]`

Definition at line 88 of file Schema.h.

const uint8_t qpid::console::SchemaClass::KIND_TABLE = 1`[static]`

Definition at line 87 of file Schema.h.

std::vector<SchemaMethod*> qpid::console::SchemaClass::methods

Definition at line 98 of file Schema.h.

std::vector<SchemaProperty*> qpid::console::SchemaClass::properties

Definition at line 96 of file Schema.h.

std::vector<SchemaStatistic*> qpid::console::SchemaClass::statistics

Definition at line 97 of file Schema.h.

The documentation for this struct was generated from the following file:

- qpid/console/Schema.h